Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -6410,18 +10143,18 @@
                  INTEGER, 
               aclProfileIPProtocolMask  
                  OCTET STRING,  
+              aclProfileDstIpAddrMaskType  
+                 INTEGER, 
               aclProfileDstIpAddrMask 
-                 IpAddress, 
+                 Ipv6Address,
+              aclProfileSrcIpAddrMaskType  
+                 INTEGER, 
               aclProfileSrcIpAddrMask 
-                 IpAddress,
+                 Ipv6Address,
               aclProfileDstPortMask
                  OCTET STRING,         
               aclProfileSrcPortMask
                  OCTET STRING,       
-              aclProfileArpSenderMacAddrMask
-                 MacAddress,      
-              aclProfileArpSenderIpAddrMask
-                IpAddress,
               aclProfileUdfOffsetMap
                  OCTET STRING,
               aclUdfOffsetBase1
@@ -6448,6 +10181,14 @@
                  Integer32,
               aclUdfOffsetMask4
                  OCTET STRING,
+			  aclUdfDstMacMask
+				 MacAddress,
+			  aclUdfSrcMacMask
+				 MacAddress,
+			  aclUdfCTagMask
+                 OCTET STRING,
+			  aclUdfSTagMask
+                 OCTET STRING,
               aclProfileStatus
                  RowStatus
           }
@@ -6466,10 +10207,9 @@
         aclProfileType OBJECT-TYPE 
            SYNTAX   INTEGER  {
                           l2 (1),
-                          l3 (2),
+                          l3v4 (2),
+                          l3v6 (11),
                           impb (3),
-                          arpSP_permit(4),
-                          arpSP_deny(5),
                           aclQos (8) ,
                           userDefined(9)
                        }
@@ -6478,9 +10218,8 @@
            DESCRIPTION 
               "The ACL Profile type, possible value are
               l2 (1) - for MAC-based rule, 
-              l3 (2) - for IPv4-based rule,
-              arpSP_permit(4) - for ARP Spoofing prevention entry,
-              arpSP_deny(5) - for ARP Spoofing prevention entry,
+              l3v4 (2) - for IPv4-based rule,
+              l3v6 (11) - for IPv6-based rule,              
               voiceVlan(6) - for Voice VLAN OUI entry.
               userDefined(9) - for User Defined entry.
               Note that only l2, l3 and userDefined could be set by user, 
@@ -6518,11 +10257,16 @@
                L3          DST_IP                 9         
                L3    	   SRC_IP                 10        
                L3    	   DST_PORT               11        
-               L3          SRC_PORT               12        
-               L3          TCPFLAG                13  
-               ARP-SP      ARP_SENDER_MAC         14        
-               ARP-SP      ARP_SENDER_IP          15 
-               L3          TOS                    16 (MSB)
+               L3          SRC_PORT               12
+               L3          TCPFLAG                13 (MSB)
+               L3          TOS                    16
+               UDF         UDF1                   17
+               UDF         UDF2                   18
+               UDF         UDF3                   19
+               UDF         UDF4                   20
+               L3v6        TRAFFIC_CLASS          21
+               L3v6        DST_IPV6               22  
+               L3v6        SRC_IPV6               23  (MSB)
                -------------------------------------------
                
                The value is in Hex format.
@@ -6562,8 +10306,9 @@
            				 icmp(1),
            				 igmp(2),
            				 tcp(6),
-          				 udp(17)
-                         ,ipMask(255)
+          				 udp(17),
+          				 icmpv6(58)
+                         ,ipProtocolMask(255)
                         }
            MAX-ACCESS  read-write 
            STATUS      current 
@@ -6586,8 +10331,18 @@
               "
            DEFVAL  { 'FF'h }   
            ::= { aclProfileEntry 8 }
+		aclProfileDstIpAddrMaskType OBJECT-TYPE
+	          SYNTAX    INTEGER {
+                        iPv4 (1),
+                        iPv6 (2)
+              }
+              MAX-ACCESS  read-write
+              STATUS      current
+	          DESCRIPTION
+                  "IPv6 Address type."
+              ::= { aclProfileEntry 9 }
         aclProfileDstIpAddrMask OBJECT-TYPE 
-           SYNTAX      IpAddress
+           SYNTAX      Ipv6Address
            MAX-ACCESS  read-write 
            STATUS      current 
            DESCRIPTION 
@@ -6599,11 +10354,21 @@
                '255.255.255.0' is presented to 'FFFFFF00'
               "
            DEFVAL  { 'FFFFFFFF'h }
-           ::= { aclProfileEntry 9 }
+           ::= { aclProfileEntry 10 }
         
+		aclProfileSrcIpAddrMaskType OBJECT-TYPE
+	          SYNTAX    INTEGER {
+                        iPv4 (1),
+                        iPv6 (2)
+              }
+              MAX-ACCESS  read-write
+              STATUS      current
+	          DESCRIPTION
+                  "IPv6 Address type."
+              ::= { aclProfileEntry 11 }
         
         aclProfileSrcIpAddrMask OBJECT-TYPE 
-           SYNTAX      IpAddress
+           SYNTAX      Ipv6Address
            MAX-ACCESS  read-write 
            STATUS      current 
            DESCRIPTION 
@@ -6615,7 +10380,7 @@
                '255.255.255.0' is presented to 'FFFFFF00'
               "
            DEFVAL  { 'FFFFFFFF'h }
-           ::= { aclProfileEntry 10 }
+           ::= { aclProfileEntry 12 }
         
         aclProfileDstPortMask OBJECT-TYPE 
            SYNTAX      OCTET STRING
@@ -6629,7 +10394,7 @@
                The value is in HEX format.
               "
            DEFVAL  { 'FFFF'h }   
-           ::= { aclProfileEntry 11 }
+           ::= { aclProfileEntry 13 }
            
         
         aclProfileSrcPortMask OBJECT-TYPE 
@@ -6644,34 +10409,8 @@
                The value is in HEX format.
               "
            DEFVAL  { 'FFFF'h }     
-           ::= { aclProfileEntry 12 }   
-        aclProfileArpSenderMacAddrMask OBJECT-TYPE 
-           SYNTAX      MacAddress
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
-              "The ACL Profile Sender MAC mask.
-               This is only for ARP Spoofing Prevention which is System-defined ACL,
-               and it's not allow to modify.
-               The value is in HEX format.
-              "
-           DEFVAL  { 'FFFFFFFFFF'h }
-           ::= { aclProfileEntry 13 }
-        
-        aclProfileArpSenderIpAddrMask OBJECT-TYPE 
-           SYNTAX      IpAddress
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
-              "The ACL Profile Sender IP mask.
-               This is only for ARP Spoofing Prevention which is System-defined ACL,
-               and it's not allow to modify.
-               The value is in HEX format.
-              "
-           DEFVAL  { 'FFFFFFFF'h }
-           ::= { aclProfileEntry 14 }
+           ::= { aclProfileEntry 14 }   
 
-
         aclProfileUdfOffsetMap OBJECT-TYPE 
            SYNTAX   OCTET STRING
            MAX-ACCESS   read-write  
@@ -6689,7 +10428,7 @@
                
                The value is in Hex format.
               "
-           ::= { aclProfileEntry 15 }  
+           ::= { aclProfileEntry 17 }  
            
         aclUdfOffsetBase1  OBJECT-TYPE 
            SYNTAX     INTEGER  {
@@ -6701,7 +10440,7 @@
            STATUS      current 
            DESCRIPTION 
               "The value of offset Base."
-           ::= { aclProfileEntry 16 }
+           ::= { aclProfileEntry 18 }
 
         aclUdfOffsetByte1  OBJECT-TYPE 
            SYNTAX   Integer32 (0..31)
@@ -6709,7 +10448,7 @@
            STATUS      current 
            DESCRIPTION 
               "The value of offset Byte from base."
-           ::= { aclProfileEntry 17 }
+           ::= { aclProfileEntry 19 }
 
         aclUdfOffsetMask1  OBJECT-TYPE 
            SYNTAX   OCTET STRING
@@ -6718,7 +10457,7 @@
            DESCRIPTION 
               "The value of offset MAsk."
            DEFVAL  { 'FFFFFFFF'h }
-           ::= { aclProfileEntry 18 }
+           ::= { aclProfileEntry 20 }
 
         aclUdfOffsetBase2  OBJECT-TYPE 
            SYNTAX     INTEGER  {
@@ -6730,7 +10469,7 @@
            STATUS      current 
            DESCRIPTION 
               "The value of offset Base."
-           ::= { aclProfileEntry 19 }
+           ::= { aclProfileEntry 21 }
 
         aclUdfOffsetByte2  OBJECT-TYPE 
            SYNTAX   Integer32 (0..31)
@@ -6738,7 +10477,7 @@
            STATUS      current 
            DESCRIPTION 
               "The value of offset Byte from base."
-           ::= { aclProfileEntry 20 }
+           ::= { aclProfileEntry 22 }
 
         aclUdfOffsetMask2  OBJECT-TYPE 
            SYNTAX   OCTET STRING
@@ -6747,7 +10486,7 @@
            DESCRIPTION 
               "The value of offset MAsk."
            DEFVAL  { 'FFFFFFFF'h }
-           ::= { aclProfileEntry 21 }
+           ::= { aclProfileEntry 23 }
            
         aclUdfOffsetBase3  OBJECT-TYPE 
            SYNTAX     INTEGER  {
@@ -6759,7 +10498,7 @@
            STATUS      current 
            DESCRIPTION 
               "The value of offset Base."
-           ::= { aclProfileEntry 22 }
+           ::= { aclProfileEntry 24 }
 
         aclUdfOffsetByte3  OBJECT-TYPE 
            SYNTAX   Integer32 (0..31)
@@ -6767,7 +10506,7 @@
            STATUS      current 
            DESCRIPTION 
               "The value of offset Byte from base."
-           ::= { aclProfileEntry 23 }
+           ::= { aclProfileEntry 25 }
 
         aclUdfOffsetMask3  OBJECT-TYPE 
            SYNTAX   OCTET STRING
@@ -6776,7 +10515,7 @@
            DESCRIPTION 
               "The value of offset MAsk."
            DEFVAL  { 'FFFFFFFF'h }
-           ::= { aclProfileEntry 24 }
+           ::= { aclProfileEntry 26 }
            
         aclUdfOffsetBase4  OBJECT-TYPE 
            SYNTAX     INTEGER  {
@@ -6788,7 +10527,7 @@
            STATUS      current 
            DESCRIPTION 
               "The value of offset Base."
-           ::= { aclProfileEntry 25 }
+           ::= { aclProfileEntry 27 }
 
         aclUdfOffsetByte4  OBJECT-TYPE 
            SYNTAX   Integer32 (0..31)
@@ -6796,7 +10535,7 @@
            STATUS      current 
            DESCRIPTION 
               "The value of offset Byte from base."
-           ::= { aclProfileEntry 26 }
+           ::= { aclProfileEntry 28 }
 
         aclUdfOffsetMask4  OBJECT-TYPE 
            SYNTAX   OCTET STRING
@@ -6805,8 +10544,40 @@
            DESCRIPTION 
               "The value of offset MAsk."
            DEFVAL  { 'FFFFFFFF'h }
-           ::= { aclProfileEntry 27 }
+           ::= { aclProfileEntry 29 }
 
+        aclUdfDstMacMask  OBJECT-TYPE 
+           SYNTAX       MacAddress
+           MAX-ACCESS   read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The value of destination MAC mask."
+           ::= { aclProfileEntry 30 }
+
+        aclUdfSrcMacMask  OBJECT-TYPE 
+           SYNTAX       MacAddress
+           MAX-ACCESS   read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The value of source MAC mask."
+           ::= { aclProfileEntry 31 }
+
+        aclUdfCTagMask  OBJECT-TYPE 
+           SYNTAX       OCTET STRING
+           MAX-ACCESS   read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The value of c-tag mask."
+           ::= { aclProfileEntry 32 }
+
+        aclUdfSTagMask  OBJECT-TYPE 
+           SYNTAX       OCTET STRING
+           MAX-ACCESS   read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The value of s-tag mask."
+           ::= { aclProfileEntry 33 }
+
         aclProfileStatus OBJECT-TYPE 
            SYNTAX      RowStatus
            MAX-ACCESS  read-create 
@@ -6819,9 +10590,8 @@
                  aclProfileMask and ProtocolType are not conflicted.
                "
         
-           ::= { aclProfileEntry 28 }
+           ::= { aclProfileEntry 34 }
 
-
         -- ------------------------------------------------------------------ 
         -- L2 Filter Group --------------------------------------------------
         aclL2Rule       OBJECT IDENTIFIER ::= { companyACLGroup 2 }
@@ -6865,8 +10635,6 @@
                  MacAddress, 
               aclL2RuleSrcMacAddrMask 
                  MacAddress,   
-              aclL2RuleInPortList 
-                 PortList,
               aclL2RuleAction 
                  INTEGER, 
               aclL2RuleRateLimit 
@@ -6875,16 +10643,28 @@
                  Integer32, 
               aclL2RuleReplace1P 
                  Integer32, 
+              aclL2RuleReplaceQueue 
+                 Integer32,  
+-- start CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON
+              aclL2RuleReplaceVLAN 
+                 Integer32, 
+--end CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON
+              aclL2RuleFilterTimeRange 
+                OCTET STRING,
+			  aclL2RuleVlanIdMask
+				OCTET STRING,
+              aclL2RuleInPortList 
+                 PortList,                              
               aclL2RuleStatus
                  RowStatus      
           }
         
         aclL2AccessID OBJECT-TYPE 
-           SYNTAX      Integer32 (1..65535)
+           SYNTAX      Integer32 (0..250)
            MAX-ACCESS  read-only 
            STATUS      current 
            DESCRIPTION 
-              "L2 Filter rule ID."
+              "L2 Filter rule ID. 0 means auto assign."
            ::= { aclL2RuleEntry 1 }
             
         aclL2ProfileID OBJECT-TYPE 
@@ -6969,23 +10749,17 @@
         
            ::= { aclL2RuleEntry 9 } 
                            
-        aclL2RuleInPortList OBJECT-TYPE 
-           SYNTAX      PortList
-           MAX-ACCESS  read-write 
-           STATUS      current 
-           DESCRIPTION 
-              "Specifies the complete set of ports over which this filter is applied
-               for packets ingress at ports in this list." 
-           ::= { aclL2RuleEntry 10 }
-        
         aclL2RuleAction OBJECT-TYPE 
            SYNTAX      INTEGER {
                           allow (1)
                           ,drop  (2)
                           ,mirror (3)
-                          ,rateLimit(4)
                           ,replaceDSCP(5)
                           ,replace1P(6)
+                          ,replaceQueue(7)
+-- start CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON
+                          ,replaceVLAN(8)
+-- end CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON
                        }
            MAX-ACCESS  read-write 
            STATUS      current 
@@ -7023,7 +10797,56 @@
               "Replace DSCP for matched packet."
         
            ::= { aclL2RuleEntry 14 }
+         aclL2RuleReplaceQueue OBJECT-TYPE 
+           SYNTAX      Integer32  
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "ACL L2 Rule Replace Queue."
+        
+           ::= { aclL2RuleEntry 15 }
 
+-- start CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON 
+          aclL2RuleReplaceVLAN OBJECT-TYPE 
+           SYNTAX      Integer32  (-1..4094)
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Replace VLAN for matched packet."
+        
+           ::= { aclL2RuleEntry 16 }
+-- end CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON
+
+        aclL2RuleFilterTimeRange OBJECT-TYPE
+           SYNTAX      OCTET STRING 
+           MAX-ACCESS  read-create
+           STATUS  current
+           DESCRIPTION
+            "ACL L2 Filter Time Range"
+        ::= { aclL2RuleEntry 17 }   
+
+	aclL2RuleVlanIdMask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              
+              "Vlan Id to be filtered. In case of Provider bridges, This Vlan Id will
+              be treated as customer Vlan Id. By Default, the value will be '-1', 
+              which means the rule don't care this condition."
+              
+           DEFVAL  { 'FFFF'h }   
+           ::= { aclL2RuleEntry 18 }
+
+        aclL2RuleInPortList OBJECT-TYPE 
+           SYNTAX      PortList
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Specifies the complete set of ports over which this filter is applied
+               for packets ingress at ports in this list." 
+           ::= { aclL2RuleEntry 51 }
+           
          aclL2RuleStatus OBJECT-TYPE 
            SYNTAX      RowStatus
            MAX-ACCESS  read-create 
@@ -7035,7 +10858,7 @@
                 is SET 'active'. The entry in this table is not used when this 
                 object is SET 'notInService'. An entry created in this table is
                 be deleted when this object is SET 'destroy'."
-           ::= { aclL2RuleEntry 15 }    
+           ::= { aclL2RuleEntry 99 }    
 
         -- ------------------------------------------------------------------ 
         -- L3 Filter Group --------------------------------------------------
@@ -7108,8 +10931,6 @@
                  Integer32,
               aclL3RuleIgmpType
                  Integer32,
-              aclL3RulePortList 
-                 PortList,
               aclL3RuleAction 
                  INTEGER, 
               aclL3RuleRateLimit 
@@ -7118,16 +10939,26 @@
                  Integer32,
               aclL3RuleReplace1P 
                  Integer32,
+              aclL3RuleReplaceQueue 
+                 Integer32, 
+-- start CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON 
+              aclL3RuleReplaceVLAN
+                 Integer32,
+-- end CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON
+              aclL3RuleFilterTimeRange 
+                 OCTET STRING,
+              aclL3RulePortList 
+                 PortList,
               aclL3RuleStatus
                  RowStatus         
           }
         
         aclL3RuleAccessID OBJECT-TYPE 
-           SYNTAX      Integer32 (1..65535)
+           SYNTAX      Integer32 (0..250)
            MAX-ACCESS  read-only 
            STATUS      current 
            DESCRIPTION 
-              "L3 Filter rule ID."
+              "L3 Filter rule ID. 0 means auto assign."
            ::= { aclL3RuleEntry 1 }
             
         aclL3RuleProfileNo OBJECT-TYPE 
@@ -7246,7 +11077,7 @@
         
         aclL3RuleDstIpAddrMask OBJECT-TYPE 
            SYNTAX      IpAddress
-           MAX-ACCESS  read-only 
+           MAX-ACCESS  read-write
            STATUS      current 
            DESCRIPTION 
               "The IP subnet mask for Destination IP address.
@@ -7258,7 +11089,7 @@
         
         aclL3RuleSrcIpAddrMask OBJECT-TYPE 
            SYNTAX      IpAddress
-           MAX-ACCESS  read-only 
+           MAX-ACCESS  read-write
            STATUS      current 
            DESCRIPTION 
               "The IP subnet mask for Source IP address.
@@ -7310,7 +11141,7 @@
            
         aclL3RuleTcpAckBit		OBJECT-TYPE
         	SYNTAX	INTEGER	{
-        	                    dont_care(-1),	
+        	                    dont-care(-1),	
         						establish(1),
         						notEstablish(2)
         					}
@@ -7320,12 +11151,12 @@
         		" The TCP ACK bit to be checked against the packet. The default 
         		value is 'dont_care'(-1), which means the rule don't care this 
         		condition."
-        	DEFVAL	{ dont_care }
+        	DEFVAL	{ dont-care }
         	::= { aclL3RuleEntry 15 }
         
         aclL3RuleTcpRstBit	 OBJECT-TYPE
         	SYNTAX	INTEGER	{
-        	                    dont_care(-1),	
+        	                    dont-care(-1),	
         						establish(1),
         						notEstablish(2)
         					}
@@ -7335,12 +11166,12 @@
         		" The TCP RST bit to be checked against the packet. The default 
         		value is 'dont_care'(-1), which means the rule don't care this 
         		condition."
-        	DEFVAL	{ dont_care }
+        	DEFVAL	{ dont-care }
         	::= { aclL3RuleEntry 16 }
         
         aclL3RuleTcpUrgBit	 OBJECT-TYPE
         	SYNTAX	INTEGER	{
-        	                    dont_care(-1),	
+        	                    dont-care(-1),	
         						establish(1),
         						notEstablish(2)
         					}
@@ -7350,12 +11181,12 @@
         		" The TCP Urg bit to be checked against the packet. The default 
         		value is 'dont_care'(-1), which means the rule don't care this 
         		condition."
-        	DEFVAL	{ dont_care }
+        	DEFVAL	{ dont-care }
         	::= { aclL3RuleEntry 17 }
         	
         aclL3RuleTcpPshBit	 OBJECT-TYPE
         	SYNTAX	INTEGER	{
-        	                    dont_care(-1),	
+        	                    dont-care(-1),	
         						establish(1),
         						notEstablish(2)
         					}
@@ -7365,12 +11196,12 @@
         		" The TCP Psh bit to be checked against the packet. The default 
         		value is 'dont_care'(-1). which means the rule don't care this 
         		condition."
-        	DEFVAL	{ dont_care }
+        	DEFVAL	{ dont-care }
         	::= { aclL3RuleEntry 18 }	
         
         aclL3RuleTcpSynBit	 OBJECT-TYPE
         	SYNTAX	INTEGER	{
-        	                    dont_care(-1),	
+        	                    dont-care(-1),	
         						establish(1),
         						notEstablish(2)
         					}
@@ -7379,12 +11210,12 @@
         	DESCRIPTION
         		" The TCP Syn bit to be checked against the packet. The default 
         		value is 'dont_care'(-1), which means the rule don't care this condition."
-        	DEFVAL	{ dont_care }
+        	DEFVAL	{ dont-care }
         	::= { aclL3RuleEntry 19 }		
         
         aclL3RuleTcpFinBit	 OBJECT-TYPE
         	SYNTAX	INTEGER	{
-        	                    dont_care(-1),	
+        	                    dont-care(-1),	
         						establish(1),
         						notEstablish(2)
         					}
@@ -7394,7 +11225,7 @@
         		" The TCP Fin bit to be checked against the packet. The default 
         		value is 'dont_care'(-1), which means the rule don't care this 
         		condition."
-        	DEFVAL	{ dont_care }
+        	DEFVAL	{ dont-care }
         	::= { aclL3RuleEntry 20 }		  
         
         aclL3RuleDscp		OBJECT-TYPE
@@ -7429,25 +11260,17 @@
            DEFVAL  { -1 }
            ::= { aclL3RuleEntry 23 }
            
-        aclL3RulePortList OBJECT-TYPE 
-           SYNTAX      PortList
-           MAX-ACCESS  read-write 
-           STATUS      current 
-           DESCRIPTION 
-              "Specifies the complete set of ports over which if the packet arrives
-              this filter rule will be applicable."
- 
-           ::= { aclL3RuleEntry 24 }
-           
-           
         aclL3RuleAction OBJECT-TYPE 
            SYNTAX      INTEGER {
                           allow (1)
                           ,drop  (2)
                           ,mirror (3)
-                          ,rateLimit(4)
                           ,replaceDSCP(5)
                           ,replace1P(6)
+                          ,replaceQueue(7)
+-- start CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON        
+                          ,replaceVLAN(8)
+-- end CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON 
                        }
            MAX-ACCESS  read-write 
            STATUS      current 
@@ -7481,6 +11304,39 @@
               "ReplaceDSCP for matched packet."
         
            ::= { aclL3RuleEntry 28 }
+        aclL3RuleReplaceQueue OBJECT-TYPE 
+           SYNTAX      Integer32
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Acl L3 Rule Replace Queue."
+            ::= { aclL3RuleEntry 29 }
+-- start CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON        
+        aclL3RuleReplaceVLAN OBJECT-TYPE 
+           SYNTAX      Integer32  (-1..4094)
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "ReplaceVLAN for matched packet."
+            ::= { aclL3RuleEntry 30 }
+-- end CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON 
+        aclL3RuleFilterTimeRange OBJECT-TYPE
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-create
+           STATUS  current
+           DESCRIPTION
+            "ACL L3 Filter Time Range"
+        ::= { aclL3RuleEntry 31 }  
+
+        aclL3RulePortList OBJECT-TYPE 
+           SYNTAX      PortList
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Specifies the complete set of ports over which if the packet arrives
+              this filter rule will be applicable."
+        ::= { aclL3RuleEntry 51 }
+                  	       	
         aclL3RuleStatus OBJECT-TYPE 
            SYNTAX      RowStatus
            MAX-ACCESS  read-create 
